Funnel analytics
POST
/analytics/v1/funnelsCalculate funnel conversion across a sequence of steps
Authorization
Bearer Authorization<token>
In: header
Query Parameters
start?string
Start date (inclusive)
end?string
End date (inclusive)
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/analyticsv1.FunnelRequest",
"$ref-value": {
"properties": {
"range": {
"$ref": "#/components/schemas/analyticsv1.DateRange",
"$ref-value": {
"properties": {
"end": {
"type": "string"
},
"start": {
"type": "string"
}
},
"type": "object"
}
},
"steps": {
"items": {
"$ref": "#/components/schemas/analyticsv1.FunnelStep",
"$ref-value": {
"properties": {
"event_type": {
"type": "string"
},
"filters": {
"additionalProperties": {
"type": "string"
},
"type": "object"
},
"name": {
"type": "string"
},
"page_type": {
"type": "string"
}
},
"type": "object"
}
},
"type": "array"
},
"time_window": {
"type": "integer"
}
},
"type": "object"
}
}Response Body
200application/json
OK
type: unknown
{
"$ref": "#/components/schemas/analyticsv1.FunnelAnalytics",
"$ref-value": {
"properties": {
"average_time_hours": {
"type": "number"
},
"completed_users": {
"type": "integer"
},
"completion_rate": {
"type": "number"
},
"steps": {
"items": {
"$ref": "#/components/schemas/analyticsv1.FunnelStepResult",
"$ref-value": {
"properties": {
"conversion_rate": {
"type": "number"
},
"dropoff_rate": {
"type": "number"
},
"step_name": {
"type": "string"
},
"user_count": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
},
"total_users": {
"type": "integer"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/analytics/v1/funnels" \
-H "Content-Type: application/json" \
-d '{}'OK
application/json
{
"$ref": "#/components/schemas/analyticsv1.FunnelAnalytics",
"$ref-value": {
"properties": {
"average_time_hours": {
"type": "number"
},
"completed_users": {
"type": "integer"
},
"completion_rate": {
"type": "number"
},
"steps": {
"items": {
"$ref": "#/components/schemas/analyticsv1.FunnelStepResult",
"$ref-value": {
"properties": {
"conversion_rate": {
"type": "number"
},
"dropoff_rate": {
"type": "number"
},
"step_name": {
"type": "string"
},
"user_count": {
"type": "integer"
}
},
"type": "object"
}
},
"type": "array"
},
"total_users": {
"type": "integer"
}
},
"type": "object"
}
}